Subject: [lemonade] Lemonade Text Suggestions

From: "Vaudreuil, Greg M (Greg)" <[email-masked]>
Date: Thu, 10 Mar 2005 21:29:53 -0600

In the spirit of getting the profile fleshed-out, I offer the following additional text for consideration.  This list exceeds what we discussed in the most recent meetings, but I believe that complexity can be reduced in the client if we set a firm baseline of required SMTP extensions. 

Section: Message Submission Profile

A LEMONADE compliant submission server is expected to implement a set of SMTP extensions to make message submission efficient.  LEMONADE is also an attempt to raise the bar for a new generation of clients and servers, and thus many well established extensions of proven value are required.  The following extensions are profiled for use by Lemonade clients.

Subsection: Future Delivery

Mobile and diverse clients may suffer from intermittent or unpredictable connectivity.  A common user end-user function  for message senders is to mark a message for future submission into the mail system.  For well-connected clients, the senders client can hold a message in the conceptual "outbox" until an appointed time, and them release the message.  For a client subject to coverage outage, battery outage, or higher priority tasks, the client may need to rely upon a well-connected server for this function.  

LEMONADE compliant submission servers MUST support the SMTP service extension for future delivery.  If future delivery is not permitted by policy, the submission server may advertise a future delivery interval of zero seconds.

LEMONADE clients requiring the ability to reliably send future delivery messages can expect that a lemonade submission server supports the SMTP service extension for future deliver (REF Futuredelivery].  Such clients may cache or otherwise remember the advertised future delivery interval from a previous submission transaction to guide the human user into the selection of a valid future delivery interval.  

Subsection: BURL Submission

LEMONADE Clients require SMTP-Submission support for the submission of complete messages composed on an IMAP message store. 

LEMONADE compliant submission servers must support the Message Submission BURL Extension [REF BURL].

Additional text needs to be worked out between the profile and the BURL document to address necessary security considerations.

Subsection: Binary and 8-bit MIME Transport

Mobile and diverse clients often connect over constrained bandwidth, especially upstream bandwidth used for submission of mobile originated contents such as picture, audio, or video content.  These large contents are canonically encoded into a binary content format.  Application of a content-transfer-encoding results in up to a 30% increase in total message size, a substantial penalty.  Further, any modern mail system should also support 8 bit clean transport.

LEMONADE Compliant submission serves MUST support the SMTP Service Extensions for Transmission of Large and Binary MIME Messages [REF RFC3030] in the submission service.  Servers MUST support downgrade to 8-bit transport as necessary to deliver the message to the next hop.  This is a stricter requirement than is specified in RFC30303 which permits a server to fail a message that requires downgrade.  Such behavior would defeat the purpose of this facility for Lemonade.  

LEMONADE Compliant submission servers MUST support the SMTP service extension for 8bitMIMEtransport. 

Lemonade clients can select among BDAT, BURL, and DATA transport based on the nature of the content to be submitted.  

Subsection: Pipelining

Mobile clients regularly use networks with a relatively high latency.  Avoidance of round-trips within a transaction has a great advantage for the reduction in both bandwidth and total transaction time.  For this reason Lemonade servers and clients should use SMTP command pipelining for message submission.

LEMONADE compliant submission servers MUST support the SMTP Service Extensions for Command Pipelining. [REF 2197]  

Clients would be crazy not to pipeline.

Subsection: TLS

LEMONADE clients may use the BURL extension to SMTP Submission, a protocol that requires sending a URLAUTH token to the submission server.  Such a token should be protected from interception to avoid a replay attack that will disclose the contents of the message to an attacker.  TLS based encryption of the SMTP submission path will provide protection against this attack.

LEMONADE Compliant submission servers MUST support SMTP Service Extension for Secure SMTP over TLS [REF 2487] supporting at least PLAIN authentication.  (magic words needed)

LEMONADE clients SHOULD use TLS protected submission channels when using BURL-based message submission to protect the URLAUTH token from interception.

Subsection: DSN Support

LEMONADE Clients are just as interested as any other in getting useful error reports service, so it seems reasonable to expect any self-respecting Lemonade system to support delivery status notifications.  

LEMONADE Servers MUST support SMTP service extensions for delivery status notifications.  Lemonade Servers MUST support SMTP service extensions for extended status codes.  

Subsection: Message size declaration

It is a real bummer to use minutes of expensive bandwidth to determine that the submitted video message is too long for the policy of the submission server. Therefore, lemonade servers and clients should use the SMTP Service Extension for Message Size Declaration.

LEMONADE Compliant Servers must support the SMTP Service Extension for Message Size Declaration [REF RFC 2927]

Greg V.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade